﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SecuritySystemDataModels.Models;

namespace SecuritySystemContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }
        [DisplayName("Название магазина")]
        public string ShopName { get; set; } = string.Empty;

        [DisplayName("Адрес магазина")]
        public string Address { get; set; } = string.Empty;

        [DisplayName("Дата открытия")]
        public DateTime DateOpening { get; set; } = DateTime.Now;

        public Dictionary<int, (ISecureModel, int)> ListSecure
        {
            get;
            set;
        } = new();
    }
}
